## List pins **get** `/pins` Returns a paginated list of pins for the authenticated company. Results are ordered by creation date (newest first). ### Query Parameters - `limit: optional number` Number of results per page (max 1000) - `page: optional number` Page number (1-based) - `pin_type_id: optional string` Filter pins by pin type - `user_id: optional string` Filter pins by the user who created them ### Header Parameters - `"rotor-api-version": "1.1.0"` - `"1.1.0"` ### Returns - `data: optional array of object { id, created_at, created_by, 2 more }` - `id: string` - `created_at: string` - `created_by: object { email, name, user_id }` - `email: string` - `name: string` - `user_id: string` - `location: array of number` Geographic coordinates [latitude, longitude] - `pin_type: object { id, color, label }` - `id: string` - `color: string` Hex color code for the pin - `label: string` Display label for the pin type - `pagination: optional object { has_more, limit, page, total }` - `has_more: optional boolean` Whether more pages are available - `limit: optional number` - `page: optional number` - `total: optional number` Total number of matching records - `status: optional string` ### Example ```http curl https://api.getrotor.com/open-api/pins \ -H "x-api-key: $ROTOR_API_KEY" ``` #### Response ```json { "data": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "2019-12-27T18:11:19.117Z", "created_by": { "email": "dev@stainless.com", "name": "name", "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" }, "location": [ 40.7128, -74.006 ], "pin_type": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "color": "#FF0000", "label": "High Priority" } } ], "pagination": { "has_more": true, "limit": 50, "page": 1, "total": 142 }, "status": "success" } ```